summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2014-12-27 15:17:07 -0800
committerGuy Harris <guy@alum.mit.edu>2014-12-27 23:17:38 +0000
commitd094fca4601193083ba9d79133259557c4cee8f0 (patch)
treea3f14c27093b1814038166444cd3045034f3276f /autogen.sh
parent73af2d63ae34380ecf0b7f1270d5daed055a69a9 (diff)
downloadwireshark-d094fca4601193083ba9d79133259557c4cee8f0.tar.gz
Check for pkg-config.
The configure script uses pkg-config unconditionally, so you need it if you're going to build Wireshark with the autotools. Change-Id: Ibb0e5e37651256c7134303c8176f30a9150af699 Reviewed-on: https://code.wireshark.org/review/6085 Reviewed-by: Guy Harris <guy@alum.mit.edu>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 4850c94f3f..cbe7e51b7a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -34,6 +34,7 @@ ACLOCAL=aclocal$AM_VERSION
AUTOHEADER=autoheader
AUTOMAKE=automake$AM_VERSION
AUTOCONF=autoconf
+PKG_CONFIG=pkg-config
# Check for python. Python did not support --version before version 2.5.
# Until we require a version > 2.5, we should use -V.
@@ -118,6 +119,20 @@ _EOF_
;;
esac
+#
+# XXX - is there some minimum version for which we should be checking?
+#
+PCVER=`pkg-config --version`
+if test -z "$PCVER"; then
+ cat >&2 <<_EOF_
+
+ You must have pkg-config installed to compile $PROJECT.
+ Download the appropriate package for your distribution/OS,
+ or get the source tarball at http://pkgconfig.freedesktop.org/releases/
+_EOF_
+ DIE="exit 1"
+fi
+
$DIE
aclocal_flags=`./aclocal-flags`